#ifndef TERM_COLOUR_H
#define TERM_COLOUR_H

#include "aliases.h"
#include "terminal_colours.h"
#include "str8.h"

#ifdef __cplusplus
BEGIN_C_LINKAGE
#endif // __cplusplus

void wapp_shell_termcolour_print_text(Str8RO *text, TerminalColour colour);
void wapp_shell_termcolour_clear_colour(void);

external void print_coloured_text(Str8RO *text, TerminalColour colour);

#ifdef __cplusplus
END_C_LINKAGE
#endif // __cplusplus

#endif // !TERM_COLOUR_H
